package com.bonus.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("health_info")
public class HealthInfo {
   @TableId("id")
   private Long id;
   @TableField("cust_id")
   private Long custId;
   @TableField("blood_type")
   private Integer bloodType;
   @TableField("marital_status")
   private Integer maritalStatus;
   @TableField("pregnant_status")
   private Integer pregnantStatus;
   @TableField("pregnancy_date")
   private LocalDate pregnancyDate;
   @TableField("doctor_advice")
   private Integer doctorAdvice;
   @TableField("if_hospitalized")
   private Integer ifHospitalized;
   @ApiModelProperty("就诊号")
   @TableField("doctor_num")
   private String doctorNum;
   @ApiModelProperty("住院号")
   @TableField("hospital_num")
   private String hospitalNum;
   @TableField("inpatient_date")
   private LocalDate inpatientDate;
   @TableField("inpatient_result")
   private String inpatientResult;
   @TableField("weight_control")
   private Integer weightControl;
   @TableField("allergen")
   private String allergen;
   @TableField("labour_intensity")
   private Integer labourIntensity;
   @TableField("health_state")
   private Integer healthState;
   @TableField("if_del")
   private Integer ifDel;
   @TableField("crby")
   private String crby;
   @TableField("crtime")
   private LocalDateTime crtime;
   @TableField("upby")
   private String upby;
   @TableField("uptime")
   private LocalDateTime uptime;
   @ApiModelProperty("人员编号")
   @TableField(
      exist = false
   )
   private String custNum;
   @ApiModelProperty("人员名称")
   @TableField(
      exist = false
   )
   private String custName;
   @ApiModelProperty("所属组织")
   @TableField(
      exist = false
   )
   private String orgFullName;
   @ApiModelProperty("位置信息")
   @TableField(
      exist = false
   )
   private String placeFullName;
   @ApiModelProperty("手机号")
   @TableField(
      exist = false
   )
   private String mobile;
   @ApiModelProperty("人员头像")
   @TableField(
      exist = false
   )
   private String custPhotoUrl;
   @ApiModelProperty("年龄")
   @TableField(
      exist = false
   )
   private Integer age;
   @ApiModelProperty("性别")
   @TableField(
      exist = false
   )
   private Integer sex;
   @ApiModelProperty("身高")
   @TableField(
      exist = false
   )
   private BigDecimal height;
   @ApiModelProperty("体重")
   @TableField(
      exist = false
   )
   private BigDecimal weight;
   @ApiModelProperty("BMI指数")
   @TableField(
      exist = false
   )
   private BigDecimal bmi;

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getBloodType() {
      return this.bloodType;
   }

   public Integer getMaritalStatus() {
      return this.maritalStatus;
   }

   public Integer getPregnantStatus() {
      return this.pregnantStatus;
   }

   public LocalDate getPregnancyDate() {
      return this.pregnancyDate;
   }

   public Integer getDoctorAdvice() {
      return this.doctorAdvice;
   }

   public Integer getIfHospitalized() {
      return this.ifHospitalized;
   }

   public String getDoctorNum() {
      return this.doctorNum;
   }

   public String getHospitalNum() {
      return this.hospitalNum;
   }

   public LocalDate getInpatientDate() {
      return this.inpatientDate;
   }

   public String getInpatientResult() {
      return this.inpatientResult;
   }

   public Integer getWeightControl() {
      return this.weightControl;
   }

   public String getAllergen() {
      return this.allergen;
   }

   public Integer getLabourIntensity() {
      return this.labourIntensity;
   }

   public Integer getHealthState() {
      return this.healthState;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public String getPlaceFullName() {
      return this.placeFullName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getCustPhotoUrl() {
      return this.custPhotoUrl;
   }

   public Integer getAge() {
      return this.age;
   }

   public Integer getSex() {
      return this.sex;
   }

   public BigDecimal getHeight() {
      return this.height;
   }

   public BigDecimal getWeight() {
      return this.weight;
   }

   public BigDecimal getBmi() {
      return this.bmi;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setBloodType(final Integer bloodType) {
      this.bloodType = bloodType;
   }

   public void setMaritalStatus(final Integer maritalStatus) {
      this.maritalStatus = maritalStatus;
   }

   public void setPregnantStatus(final Integer pregnantStatus) {
      this.pregnantStatus = pregnantStatus;
   }

   public void setPregnancyDate(final LocalDate pregnancyDate) {
      this.pregnancyDate = pregnancyDate;
   }

   public void setDoctorAdvice(final Integer doctorAdvice) {
      this.doctorAdvice = doctorAdvice;
   }

   public void setIfHospitalized(final Integer ifHospitalized) {
      this.ifHospitalized = ifHospitalized;
   }

   public void setDoctorNum(final String doctorNum) {
      this.doctorNum = doctorNum;
   }

   public void setHospitalNum(final String hospitalNum) {
      this.hospitalNum = hospitalNum;
   }

   public void setInpatientDate(final LocalDate inpatientDate) {
      this.inpatientDate = inpatientDate;
   }

   public void setInpatientResult(final String inpatientResult) {
      this.inpatientResult = inpatientResult;
   }

   public void setWeightControl(final Integer weightControl) {
      this.weightControl = weightControl;
   }

   public void setAllergen(final String allergen) {
      this.allergen = allergen;
   }

   public void setLabourIntensity(final Integer labourIntensity) {
      this.labourIntensity = labourIntensity;
   }

   public void setHealthState(final Integer healthState) {
      this.healthState = healthState;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setPlaceFullName(final String placeFullName) {
      this.placeFullName = placeFullName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public void setAge(final Integer age) {
      this.age = age;
   }

   public void setSex(final Integer sex) {
      this.sex = sex;
   }

   public void setHeight(final BigDecimal height) {
      this.height = height;
   }

   public void setWeight(final BigDecimal weight) {
      this.weight = weight;
   }

   public void setBmi(final BigDecimal bmi) {
      this.bmi = bmi;
   }

   @Override
   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof HealthInfo)) {
         return false;
      } else {
         HealthInfo other = (HealthInfo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label395: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label395;
                  }
               } else if (this$id.equals(other$id)) {
                  break label395;
               }

               return false;
            }

            Object this$custId = this.getCustId();
            Object other$custId = other.getCustId();
            if (this$custId == null) {
               if (other$custId != null) {
                  return false;
               }
            } else if (!this$custId.equals(other$custId)) {
               return false;
            }

            Object this$bloodType = this.getBloodType();
            Object other$bloodType = other.getBloodType();
            if (this$bloodType == null) {
               if (other$bloodType != null) {
                  return false;
               }
            } else if (!this$bloodType.equals(other$bloodType)) {
               return false;
            }

            label374: {
               Object this$maritalStatus = this.getMaritalStatus();
               Object other$maritalStatus = other.getMaritalStatus();
               if (this$maritalStatus == null) {
                  if (other$maritalStatus == null) {
                     break label374;
                  }
               } else if (this$maritalStatus.equals(other$maritalStatus)) {
                  break label374;
               }

               return false;
            }

            label367: {
               Object this$pregnantStatus = this.getPregnantStatus();
               Object other$pregnantStatus = other.getPregnantStatus();
               if (this$pregnantStatus == null) {
                  if (other$pregnantStatus == null) {
                     break label367;
                  }
               } else if (this$pregnantStatus.equals(other$pregnantStatus)) {
                  break label367;
               }

               return false;
            }

            label360: {
               Object this$doctorAdvice = this.getDoctorAdvice();
               Object other$doctorAdvice = other.getDoctorAdvice();
               if (this$doctorAdvice == null) {
                  if (other$doctorAdvice == null) {
                     break label360;
                  }
               } else if (this$doctorAdvice.equals(other$doctorAdvice)) {
                  break label360;
               }

               return false;
            }

            Object this$ifHospitalized = this.getIfHospitalized();
            Object other$ifHospitalized = other.getIfHospitalized();
            if (this$ifHospitalized == null) {
               if (other$ifHospitalized != null) {
                  return false;
               }
            } else if (!this$ifHospitalized.equals(other$ifHospitalized)) {
               return false;
            }

            label346: {
               Object this$weightControl = this.getWeightControl();
               Object other$weightControl = other.getWeightControl();
               if (this$weightControl == null) {
                  if (other$weightControl == null) {
                     break label346;
                  }
               } else if (this$weightControl.equals(other$weightControl)) {
                  break label346;
               }

               return false;
            }

            Object this$labourIntensity = this.getLabourIntensity();
            Object other$labourIntensity = other.getLabourIntensity();
            if (this$labourIntensity == null) {
               if (other$labourIntensity != null) {
                  return false;
               }
            } else if (!this$labourIntensity.equals(other$labourIntensity)) {
               return false;
            }

            label332: {
               Object this$healthState = this.getHealthState();
               Object other$healthState = other.getHealthState();
               if (this$healthState == null) {
                  if (other$healthState == null) {
                     break label332;
                  }
               } else if (this$healthState.equals(other$healthState)) {
                  break label332;
               }

               return false;
            }

            Object this$ifDel = this.getIfDel();
            Object other$ifDel = other.getIfDel();
            if (this$ifDel == null) {
               if (other$ifDel != null) {
                  return false;
               }
            } else if (!this$ifDel.equals(other$ifDel)) {
               return false;
            }

            Object this$age = this.getAge();
            Object other$age = other.getAge();
            if (this$age == null) {
               if (other$age != null) {
                  return false;
               }
            } else if (!this$age.equals(other$age)) {
               return false;
            }

            label311: {
               Object this$sex = this.getSex();
               Object other$sex = other.getSex();
               if (this$sex == null) {
                  if (other$sex == null) {
                     break label311;
                  }
               } else if (this$sex.equals(other$sex)) {
                  break label311;
               }

               return false;
            }

            label304: {
               Object this$pregnancyDate = this.getPregnancyDate();
               Object other$pregnancyDate = other.getPregnancyDate();
               if (this$pregnancyDate == null) {
                  if (other$pregnancyDate == null) {
                     break label304;
                  }
               } else if (this$pregnancyDate.equals(other$pregnancyDate)) {
                  break label304;
               }

               return false;
            }

            Object this$doctorNum = this.getDoctorNum();
            Object other$doctorNum = other.getDoctorNum();
            if (this$doctorNum == null) {
               if (other$doctorNum != null) {
                  return false;
               }
            } else if (!this$doctorNum.equals(other$doctorNum)) {
               return false;
            }

            Object this$hospitalNum = this.getHospitalNum();
            Object other$hospitalNum = other.getHospitalNum();
            if (this$hospitalNum == null) {
               if (other$hospitalNum != null) {
                  return false;
               }
            } else if (!this$hospitalNum.equals(other$hospitalNum)) {
               return false;
            }

            label283: {
               Object this$inpatientDate = this.getInpatientDate();
               Object other$inpatientDate = other.getInpatientDate();
               if (this$inpatientDate == null) {
                  if (other$inpatientDate == null) {
                     break label283;
                  }
               } else if (this$inpatientDate.equals(other$inpatientDate)) {
                  break label283;
               }

               return false;
            }

            Object this$inpatientResult = this.getInpatientResult();
            Object other$inpatientResult = other.getInpatientResult();
            if (this$inpatientResult == null) {
               if (other$inpatientResult != null) {
                  return false;
               }
            } else if (!this$inpatientResult.equals(other$inpatientResult)) {
               return false;
            }

            Object this$allergen = this.getAllergen();
            Object other$allergen = other.getAllergen();
            if (this$allergen == null) {
               if (other$allergen != null) {
                  return false;
               }
            } else if (!this$allergen.equals(other$allergen)) {
               return false;
            }

            label262: {
               Object this$crby = this.getCrby();
               Object other$crby = other.getCrby();
               if (this$crby == null) {
                  if (other$crby == null) {
                     break label262;
                  }
               } else if (this$crby.equals(other$crby)) {
                  break label262;
               }

               return false;
            }

            label255: {
               Object this$crtime = this.getCrtime();
               Object other$crtime = other.getCrtime();
               if (this$crtime == null) {
                  if (other$crtime == null) {
                     break label255;
                  }
               } else if (this$crtime.equals(other$crtime)) {
                  break label255;
               }

               return false;
            }

            label248: {
               Object this$upby = this.getUpby();
               Object other$upby = other.getUpby();
               if (this$upby == null) {
                  if (other$upby == null) {
                     break label248;
                  }
               } else if (this$upby.equals(other$upby)) {
                  break label248;
               }

               return false;
            }

            Object this$uptime = this.getUptime();
            Object other$uptime = other.getUptime();
            if (this$uptime == null) {
               if (other$uptime != null) {
                  return false;
               }
            } else if (!this$uptime.equals(other$uptime)) {
               return false;
            }

            label234: {
               Object this$custNum = this.getCustNum();
               Object other$custNum = other.getCustNum();
               if (this$custNum == null) {
                  if (other$custNum == null) {
                     break label234;
                  }
               } else if (this$custNum.equals(other$custNum)) {
                  break label234;
               }

               return false;
            }

            Object this$custName = this.getCustName();
            Object other$custName = other.getCustName();
            if (this$custName == null) {
               if (other$custName != null) {
                  return false;
               }
            } else if (!this$custName.equals(other$custName)) {
               return false;
            }

            label220: {
               Object this$orgFullName = this.getOrgFullName();
               Object other$orgFullName = other.getOrgFullName();
               if (this$orgFullName == null) {
                  if (other$orgFullName == null) {
                     break label220;
                  }
               } else if (this$orgFullName.equals(other$orgFullName)) {
                  break label220;
               }

               return false;
            }

            Object this$placeFullName = this.getPlaceFullName();
            Object other$placeFullName = other.getPlaceFullName();
            if (this$placeFullName == null) {
               if (other$placeFullName != null) {
                  return false;
               }
            } else if (!this$placeFullName.equals(other$placeFullName)) {
               return false;
            }

            Object this$mobile = this.getMobile();
            Object other$mobile = other.getMobile();
            if (this$mobile == null) {
               if (other$mobile != null) {
                  return false;
               }
            } else if (!this$mobile.equals(other$mobile)) {
               return false;
            }

            label199: {
               Object this$custPhotoUrl = this.getCustPhotoUrl();
               Object other$custPhotoUrl = other.getCustPhotoUrl();
               if (this$custPhotoUrl == null) {
                  if (other$custPhotoUrl == null) {
                     break label199;
                  }
               } else if (this$custPhotoUrl.equals(other$custPhotoUrl)) {
                  break label199;
               }

               return false;
            }

            label192: {
               Object this$height = this.getHeight();
               Object other$height = other.getHeight();
               if (this$height == null) {
                  if (other$height == null) {
                     break label192;
                  }
               } else if (this$height.equals(other$height)) {
                  break label192;
               }

               return false;
            }

            Object this$weight = this.getWeight();
            Object other$weight = other.getWeight();
            if (this$weight == null) {
               if (other$weight != null) {
                  return false;
               }
            } else if (!this$weight.equals(other$weight)) {
               return false;
            }

            Object this$bmi = this.getBmi();
            Object other$bmi = other.getBmi();
            if (this$bmi == null) {
               if (other$bmi != null) {
                  return false;
               }
            } else if (!this$bmi.equals(other$bmi)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof HealthInfo;
   }

   @Override
   public int hashCode() {
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $custId = this.getCustId();
      result = result * 59 + ($custId == null ? 43 : $custId.hashCode());
      Object $bloodType = this.getBloodType();
      result = result * 59 + ($bloodType == null ? 43 : $bloodType.hashCode());
      Object $maritalStatus = this.getMaritalStatus();
      result = result * 59 + ($maritalStatus == null ? 43 : $maritalStatus.hashCode());
      Object $pregnantStatus = this.getPregnantStatus();
      result = result * 59 + ($pregnantStatus == null ? 43 : $pregnantStatus.hashCode());
      Object $doctorAdvice = this.getDoctorAdvice();
      result = result * 59 + ($doctorAdvice == null ? 43 : $doctorAdvice.hashCode());
      Object $ifHospitalized = this.getIfHospitalized();
      result = result * 59 + ($ifHospitalized == null ? 43 : $ifHospitalized.hashCode());
      Object $weightControl = this.getWeightControl();
      result = result * 59 + ($weightControl == null ? 43 : $weightControl.hashCode());
      Object $labourIntensity = this.getLabourIntensity();
      result = result * 59 + ($labourIntensity == null ? 43 : $labourIntensity.hashCode());
      Object $healthState = this.getHealthState();
      result = result * 59 + ($healthState == null ? 43 : $healthState.hashCode());
      Object $ifDel = this.getIfDel();
      result = result * 59 + ($ifDel == null ? 43 : $ifDel.hashCode());
      Object $age = this.getAge();
      result = result * 59 + ($age == null ? 43 : $age.hashCode());
      Object $sex = this.getSex();
      result = result * 59 + ($sex == null ? 43 : $sex.hashCode());
      Object $pregnancyDate = this.getPregnancyDate();
      result = result * 59 + ($pregnancyDate == null ? 43 : $pregnancyDate.hashCode());
      Object $doctorNum = this.getDoctorNum();
      result = result * 59 + ($doctorNum == null ? 43 : $doctorNum.hashCode());
      Object $hospitalNum = this.getHospitalNum();
      result = result * 59 + ($hospitalNum == null ? 43 : $hospitalNum.hashCode());
      Object $inpatientDate = this.getInpatientDate();
      result = result * 59 + ($inpatientDate == null ? 43 : $inpatientDate.hashCode());
      Object $inpatientResult = this.getInpatientResult();
      result = result * 59 + ($inpatientResult == null ? 43 : $inpatientResult.hashCode());
      Object $allergen = this.getAllergen();
      result = result * 59 + ($allergen == null ? 43 : $allergen.hashCode());
      Object $crby = this.getCrby();
      result = result * 59 + ($crby == null ? 43 : $crby.hashCode());
      Object $crtime = this.getCrtime();
      result = result * 59 + ($crtime == null ? 43 : $crtime.hashCode());
      Object $upby = this.getUpby();
      result = result * 59 + ($upby == null ? 43 : $upby.hashCode());
      Object $uptime = this.getUptime();
      result = result * 59 + ($uptime == null ? 43 : $uptime.hashCode());
      Object $custNum = this.getCustNum();
      result = result * 59 + ($custNum == null ? 43 : $custNum.hashCode());
      Object $custName = this.getCustName();
      result = result * 59 + ($custName == null ? 43 : $custName.hashCode());
      Object $orgFullName = this.getOrgFullName();
      result = result * 59 + ($orgFullName == null ? 43 : $orgFullName.hashCode());
      Object $placeFullName = this.getPlaceFullName();
      result = result * 59 + ($placeFullName == null ? 43 : $placeFullName.hashCode());
      Object $mobile = this.getMobile();
      result = result * 59 + ($mobile == null ? 43 : $mobile.hashCode());
      Object $custPhotoUrl = this.getCustPhotoUrl();
      result = result * 59 + ($custPhotoUrl == null ? 43 : $custPhotoUrl.hashCode());
      Object $height = this.getHeight();
      result = result * 59 + ($height == null ? 43 : $height.hashCode());
      Object $weight = this.getWeight();
      result = result * 59 + ($weight == null ? 43 : $weight.hashCode());
      Object $bmi = this.getBmi();
      result = result * 59 + ($bmi == null ? 43 : $bmi.hashCode());
      return result;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "HealthInfo(id=" + var10000 + ", custId=" + this.getCustId() + ", bloodType=" + this.getBloodType() + ", maritalStatus=" + this.getMaritalStatus() + ", pregnantStatus=" + this.getPregnantStatus() + ", pregnancyDate=" + String.valueOf(this.getPregnancyDate()) + ", doctorAdvice=" + this.getDoctorAdvice() + ", ifHospitalized=" + this.getIfHospitalized() + ", doctorNum=" + this.getDoctorNum() + ", hospitalNum=" + this.getHospitalNum() + ", inpatientDate=" + String.valueOf(this.getInpatientDate()) + ", inpatientResult=" + this.getInpatientResult() + ", weightControl=" + this.getWeightControl() + ", allergen=" + this.getAllergen() + ", labourIntensity=" + this.getLabourIntensity() + ", healthState=" + this.getHealthState() + ", ifDel=" + this.getIfDel() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ", custNum=" + this.getCustNum() + ", custName=" + this.getCustName() + ", orgFullName=" + this.getOrgFullName() + ", placeFullName=" + this.getPlaceFullName() + ", mobile=" + this.getMobile() + ", custPhotoUrl=" + this.getCustPhotoUrl() + ", age=" + this.getAge() + ", sex=" + this.getSex() + ", height=" + String.valueOf(this.getHeight()) + ", weight=" + String.valueOf(this.getWeight()) + ", bmi=" + String.valueOf(this.getBmi()) + ")";
   }

   public HealthInfo(final Long id, final Long custId, final Integer bloodType, final Integer maritalStatus, final Integer pregnantStatus, final LocalDate pregnancyDate, final Integer doctorAdvice, final Integer ifHospitalized, final String doctorNum, final String hospitalNum, final LocalDate inpatientDate, final String inpatientResult, final Integer weightControl, final String allergen, final Integer labourIntensity, final Integer healthState, final Integer ifDel, final String crby, final LocalDateTime crtime, final String upby, final LocalDateTime uptime, final String custNum, final String custName, final String orgFullName, final String placeFullName, final String mobile, final String custPhotoUrl, final Integer age, final Integer sex, final BigDecimal height, final BigDecimal weight, final BigDecimal bmi) {
      this.id = id;
      this.custId = custId;
      this.bloodType = bloodType;
      this.maritalStatus = maritalStatus;
      this.pregnantStatus = pregnantStatus;
      this.pregnancyDate = pregnancyDate;
      this.doctorAdvice = doctorAdvice;
      this.ifHospitalized = ifHospitalized;
      this.doctorNum = doctorNum;
      this.hospitalNum = hospitalNum;
      this.inpatientDate = inpatientDate;
      this.inpatientResult = inpatientResult;
      this.weightControl = weightControl;
      this.allergen = allergen;
      this.labourIntensity = labourIntensity;
      this.healthState = healthState;
      this.ifDel = ifDel;
      this.crby = crby;
      this.crtime = crtime;
      this.upby = upby;
      this.uptime = uptime;
      this.custNum = custNum;
      this.custName = custName;
      this.orgFullName = orgFullName;
      this.placeFullName = placeFullName;
      this.mobile = mobile;
      this.custPhotoUrl = custPhotoUrl;
      this.age = age;
      this.sex = sex;
      this.height = height;
      this.weight = weight;
      this.bmi = bmi;
   }

   public HealthInfo() {
   }
}
